Package org.opensaml.profile.action

# Class ActionSupport

java.lang.Object
org.opensaml.profile.action.ActionSupport

public final class ActionSupport extends Object
Helper class for `ProfileAction` operations.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ActionSupport()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static void`
`buildEvent(ProfileRequestContext profileRequestContext, Object event)`
Builds an event from the given object.
`static void`
`buildEvent(ProfileRequestContext profileRequestContext, String eventId)`
Builds an event with a given ID.
`static void`
`buildProceedEvent(ProfileRequestContext profileRequestContext)`
Signals a successful outcome by an action.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ActionSupport

private ActionSupport()
Constructor.

## Method Details

### buildProceedEvent

public static void buildProceedEvent(@Nonnull ProfileRequestContext profileRequestContext)
Signals a successful outcome by an action.

Parameters:
  `profileRequestContext` - the context to carry the event

### buildEvent

public static void buildEvent(@Nonnull ProfileRequestContext profileRequestContext, @Nonnull @NotEmpty String eventId)
Builds an event with a given ID.

Parameters:
  `profileRequestContext` - the context to carry the event
  `eventId` - the ID of the event

### buildEvent

public static void buildEvent(@Nonnull ProfileRequestContext profileRequestContext, @Nonnull Object event)
Builds an event from the given object.

Parameters:
  `profileRequestContext` - the context to carry the event
  `event` - the event